POST /me/publicize-connections/$publicize_connection_ID
Update a single publicize connection belonging to the current user.
Resource Information
| Method | POST |
|---|---|
| URL | https://public-api.wordpress.com/rest/v1.1/me/publicize-connections/$publicize_connection_ID |
| Requires authentication? | Yes |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $publicize_connection_ID | (int) | The publicize connection ID to take action on. |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| meta | (string) | Optional. Loads data from the endpoints found in the 'meta' part of the response. Comma-separated list. Example: meta=site,likes |
| fields | (string) | Optional. Returns specified fields only. Comma-separated list. Example: fields=ID,title |
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| shared | (bool) | Optional. True to make the connection global for all users of the site. False to ungloblalize it. |
| external_user_ID | (string|false) | Optional. Use to associate a non-default external user (from the keyring connection) with this publicize connection. e.g. associate a Facebook page. False to reset to default. |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The ID of the publicize connection. |
| site_ID | (int) | The site ID that the publicize connection belongs to. |
| user_ID | (int) | The user ID that the publicize connection belongs to. |
| keyring_connection_ID | (int) | The ID of the associated keyring connection. |
| keyring_connection_user_ID | (int) | The ID of the user who owns the associated keyring connection. |
| shared | (bool) | Is this connection shared? |
| service | (string) | The name of the service associated with this publicize connection. |
| label | (string) | The display friendly name of the service associated with this publicize connection. |
| issued | (iso 8601 datetime) | Date when the publicize connection was first established. |
| expires | (iso 8601 datetime) | Date when the publicize connection expires, if any. |
| external_ID | (string) | An identifier for the user on the third-party service. |
| external_name | (string) | A display friendly identifier for the user on the third-party service, usually a username or login name. |
| external_display | (string|null) | A display friendly identifier for the user on the third-party service, typically defined by the user and the one that the user has chosen as their preferred identifier. |
| external_profile_picture | (url|null) | The URL to the profile picture associated with the third-party account, if the service provides one. |
| external_profile_URL | (url|null) | The URL to the external profile on the third-party website, if the service provides one. |
| external_follower_count | (int|null) | The number of followers that the user has on the third-party service, if the service returns a number. |
| URL | (string|null) | URL to the user's profile on the third-party service. NULL if there is no URL to link to. |
| status | (string) | The current status of the connection to the third-party service. "ok" for connections with no problems, and "broken" for connections that need to be fixed fixed. |
| refresh_URL | (url) | The URL to refresh the keyring token. |
| meta | (object) | Object with links to the publicize connection, help links and related items. |
Resource Errors
This endpoint does not return any errors.
Example
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'external_user_id=1234' \ --data-urlencode 'shared=1' \ 'https://public-api.wordpress.com/rest/v1.1/me/publicize-connections/1234'
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' =>
http_build_query( array (
'external_user_id' => 1234,
'shared' => true,
)),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1.1/me/publicize-connections/1234',
false,
$context
);
$response = json_decode( $response );
?>